# CbcLinked.hpp File Reference

`#include "CoinModel.hpp"`
`#include "OsiClpSolverInterface.hpp"`
`#include "OsiChooseVariable.hpp"`
`#include "CbcFathom.hpp"`
`#include "CbcHeuristic.hpp"`
`#include "OsiBranchingObject.hpp"`
`#include <string>`
`#include "CglStored.hpp"`
Include dependency graph for CbcLinked.hpp:

Go to the source code of this file.

## Classes
class | OsiSolverLink
| This is to allow the user to replace initialSolve and resolve This version changes coefficients. More...
class | OsiLinkedBound
| List of bounds which depend on other bounds. More...
struct | OsiLinkedBound::boundElementAction
class | CbcHeuristicDynamic3
| heuristic - just picks up any good solution More...
class | OsiOldLink
class | OsiOldLinkBranchingObject
| Branching object for Linked ordered sets. More...
class | OsiOneLink
| Define data for one link. More...
class | OsiLink
| Define Special Linked Ordered Sets. More...
class | OsiLinkBranchingObject
| Branching object for Linked ordered sets. More...
class | OsiBiLinear
| Define BiLinear objects. More...
class | OsiBiLinearBranchingObject
| Branching object for BiLinear objects. More...
class | OsiBiLinearEquality
| Define Continuous BiLinear objects for an == bound. More...
class | OsiSimpleFixedInteger
| Define a single integer class - but one where you keep branching until fixed even if satisfied. More...
class | OsiUsesBiLinear
| Define a single variable class which is involved with OsiBiLinear objects. More...
class | OsiChooseStrongSubset
| This class chooses a variable to branch on. More...
class | CglTemporary
| Stored Temporary Cut Generator Class - destroyed after first use. More...
class | OsiSolverLinearizedQuadratic
| This is to allow the user to replace initialSolve and resolve. More...
## Functions
ClpSimplex * | approximateSolution (CoinModel &coinModel, int numberPasses, double deltaTolerance, int mode=0)
| Return an approximate solution to a CoinModel.

## Function Documentation

ClpSimplex* approximateSolution | ( | CoinModel & | coinModel,
|  | int | numberPasses,
|  | double | deltaTolerance,
|  | int | mode = `0` |
| ) |  |  |

Return an approximate solution to a CoinModel.

Lots of bounds may be odd to force a solution. mode = 0 just tries to get a continuous solution

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines